<?php

include('../../path.php');

require_once(ROOT_CONFIG);



    class usuario

    {

        public function insert_usuario($Id_Usuario,$Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico)

        {

            $Usu_Password_Encrypt=$Usu_Password;

                for ($c = 1; $c <= 3; $c++) {

                    $Usu_Password_Encrypt=md5($Usu_Password_Encrypt);

                }

            $Login_Nombre=$Usu_Nombre." ".$Usu_Apaterno." ".$Usu_Amaterno;

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="INSERT INTO login_appquadrata(Login_Img_Perfil, Login_Nombre, Id_Fk_Rol, Titulo_Rol_Fk, Login_Correo, Login_Telefono, Login_Password, Login_Password_Encrypt, Login_Activo, Login_Cuenta_Verificada, Descripcion) VALUES ( '$Usu_Img_Perfil', '$Login_Nombre','$Id_Fk_Rol', '$Titulo_Rol_Fk', '$Usu_Correo', '$Usu_Telefono', '$Usu_Password', '$Usu_Password_Encrypt', '$Usu_Activo', '$Usu_Cuenta_Verificada', '$Descripcion') ";



            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $consulta="INSERT INTO usuario_appquadrata(Id_Fk_Login, Usu_Img_Perfil, Usu_Nombre, Usu_Apaterno, Usu_Amaterno, Usu_Fecha_Nacimiento, Id_Fk_Rol, Titulo_Rol_Fk, Usu_Correo, Usu_Telefono, Usu_Password, Usu_Password_Encrypt, Usu_Activo, Usu_Cuenta_Verificada, Descripcion) VALUES ('$whatsmyid', '$Usu_Img_Perfil', '$Usu_Nombre', '$Usu_Apaterno', '$Usu_Amaterno', '$Usu_Fecha_Nacimiento', '$Id_Fk_Rol', '$Titulo_Rol_Fk', '$Usu_Correo', '$Usu_Telefono', '$Usu_Password', '$Usu_Password_Encrypt', '$Usu_Activo', '$Usu_Cuenta_Verificada', '$Descripcion') ";



            $conexion->query($consulta);

            $whatsmyid=$conexion->insert_id;

            $conexion->close();

            return $whatsmyid;

        }



        public function get_usuario()

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *,  count(*) as numregis FROM usuario_appquadrata WHERE Id_Fk_Rol!=1   ORDER BY Id_Usuarior DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function get_usuariopg($inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM usuario_appquadrata WHERE Id_Fk_Rol!=1  ORDER  BY Id_Usuarior DESC";

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_usuario($Id_Usuarior, $Id_Usuario, $Usu_Img_Perfil, $Usu_Nombre, $Usu_Apaterno, $Usu_Amaterno, $Usu_Fecha_Nacimiento, $Id_Fk_Rol, $Titulo_Rol_Fk, $Usu_Correo, $Usu_Telefono, $Usu_Password, $Usu_Password_Encrypt, $Usu_Activo, $Usu_Cuenta_Verificada, $Descripcion, $Fecha_Registro, $Fecha_Modifico)

        {

            $Usu_Img_Perfil=str_replace('../','',$Usu_Img_Perfil);

            $Login_Nombre=$Usu_Nombre." ".$Usu_Apaterno." ".$Usu_Amaterno;

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            if($Usu_Password!=''){

                $Usu_Password_Encrypt=$Usu_Password;

                for ($c = 1; $c <= 3; $c++) {

                    $Usu_Password_Encrypt=md5($Usu_Password_Encrypt);

                }



                $consulta="UPDATE login_appquadrata SET Login_Img_Perfil='$Usu_Img_Perfil', Login_Nombre='$Login_Nombre',Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk', Login_Correo='$Usu_Correo', Login_Telefono='$Usu_Telefono', Login_Password='$Usu_Password', Login_Password_Encrypt='$Usu_Password_Encrypt', Descripcion='$Descripcion' WHERE IdLoginr = '$Id_Usuarior'";

                $consulta1="UPDATE usuario_appquadrata SET Id_Usuarior='$Id_Usuarior', Id_Usuario='$Id_Usuario', Usu_Img_Perfil='$Usu_Img_Perfil', Usu_Nombre='$Usu_Nombre', Usu_Apaterno='$Usu_Apaterno', Usu_Amaterno='$Usu_Amaterno', Usu_Fecha_Nacimiento='$Usu_Fecha_Nacimiento', Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk', Usu_Correo='$Usu_Correo', Usu_Telefono='$Usu_Telefono', Usu_Password='$Usu_Password', Usu_Password_Encrypt='$Usu_Password_Encrypt', Usu_Activo='Si', Usu_Cuenta_Verificada='Si', Descripcion='$Descripcion' WHERE Id_Usuarior = '$Id_Usuarior'";

            }else{

                $consulta="UPDATE login_appquadrata SET Login_Img_Perfil='$Usu_Img_Perfil', Login_Nombre='$Login_Nombre',Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk', Login_Correo='$Usu_Correo', Login_Telefono='$Usu_Telefono', Descripcion='$Descripcion' WHERE IdLoginr = '$Id_Usuarior'";



                $consulta1="UPDATE usuario_appquadrata SET Id_Usuarior='$Id_Usuarior', Id_Usuario='$Id_Usuario', Usu_Img_Perfil='$Usu_Img_Perfil', Usu_Nombre='$Usu_Nombre', Usu_Apaterno='$Usu_Apaterno', Usu_Amaterno='$Usu_Amaterno', Usu_Fecha_Nacimiento='$Usu_Fecha_Nacimiento', Id_Fk_Rol='$Id_Fk_Rol', Titulo_Rol_Fk='$Titulo_Rol_Fk', Usu_Correo='$Usu_Correo', Usu_Telefono='$Usu_Telefono',Descripcion='$Descripcion' WHERE Id_Usuarior = '$Id_Usuarior'";



            }

            $conexion->query($consulta);

            $conexion->query($consulta1);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;

        }



        public function delete_usuario($Id_Usuarior,$Id_Fk_Login)
        {
            $Odbj_conexion = new odbconexion;
            $conexion=$Odbj_conexion->openconection();
            $consulta="DELETE FROM usuario_appquadrata WHERE Id_Usuarior='$Id_Usuarior'";
            $conexion->query($consulta);
            $consulta2="DELETE FROM login_appquadrata WHERE IdLoginr='$Id_Fk_Login'";
            $conexion->query($consulta2);
            $rowaffected=$conexion->affected_rows;
            $conexion->close();
            return $rowaffected;
        }



        //Funciones adicionales.

        public function getorderby_usuario($Nombre,$Orderby)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *,  count(*) as numregis FROM usuario_appquadrata WHERE Id_Fk_Rol!=1 ORDER BY $Nombre $Orderby";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getorderby_usuariopg($Nombre,$Orderby,$inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM usuario_appquadrata WHERE Id_Fk_Rol!=1 ORDER BY $Nombre $Orderby";

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function getbyid_usuario($Id_Usuarior)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM usuario_appquadrata WHERE Id_Usuarior='$Id_Usuarior' ORDER BY Id_Usuarior DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_usuario($Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT *, count(*) as numregis FROM usuario_appquadrata WHERE (Id_Usuarior LIKE '%$Buscar%' || Id_Usuario LIKE '%$Buscar%' || Usu_Img_Perfil LIKE '%$Buscar%' || Usu_Nombre LIKE '%$Buscar%' || Usu_Apaterno LIKE '%$Buscar%' || Usu_Amaterno LIKE '%$Buscar%' || Usu_Fecha_Nacimiento LIKE '%$Buscar%' || Id_Fk_Rol LIKE '%$Buscar%' || Titulo_Rol_Fk LIKE '%$Buscar%' || Usu_Correo LIKE '%$Buscar%' || Usu_Telefono LIKE '%$Buscar%' || Usu_Password LIKE '%$Buscar%' || Usu_Password_Encrypt LIKE '%$Buscar%' || Usu_Activo LIKE '%$Buscar%' || Usu_Cuenta_Verificada LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modifico LIKE '%$Buscar%')  AND Id_Fk_Rol!=1 ORDER BY Id_Usuarior DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function search_usuariopg($Buscar,$inicio,$TAMANO_PAGINA)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM usuario_appquadrata WHERE (Id_Usuarior LIKE '%$Buscar%' || Id_Usuario LIKE '%$Buscar%' || Usu_Img_Perfil LIKE '%$Buscar%' || Usu_Nombre LIKE '%$Buscar%' || Usu_Apaterno LIKE '%$Buscar%' || Usu_Amaterno LIKE '%$Buscar%' || Usu_Fecha_Nacimiento LIKE '%$Buscar%' || Id_Fk_Rol LIKE '%$Buscar%' || Titulo_Rol_Fk LIKE '%$Buscar%' || Usu_Correo LIKE '%$Buscar%' || Usu_Telefono LIKE '%$Buscar%' || Usu_Password LIKE '%$Buscar%' || Usu_Password_Encrypt LIKE '%$Buscar%' || Usu_Activo LIKE '%$Buscar%' || Usu_Cuenta_Verificada LIKE '%$Buscar%' || Descripcion LIKE '%$Buscar%' || Fecha_Registro LIKE '%$Buscar%' || Fecha_Modifico LIKE '%$Buscar%') AND  Id_Fk_Rol!=1 ORDER BY Id_Usuarior DESC";

            if ($TAMANO_PAGINA != "Todos") {

                $consulta .= " LIMIT $inicio, $TAMANO_PAGINA";

            }

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }



        public function searchbyparameter_usuario($Parametro,$Buscar)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="SELECT * FROM usuario_appquadrata WHERE $Parametro LIKE '%$Buscar%' ORDER BY Id_Usuarior DESC";

            $Array_adapter=$conexion->query($consulta);

            $conexion->close();

            return $Array_adapter;

        }

  

        public function execute_usuario($query)

        {

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $Array_adapter=$conexion->query($query);

            $conexion->close();

            return $Array_adapter;

        }



        public function update_field_usuario($Field,$Value,$Id_Usuarior)

        {

            //$Valueinto=strtoupper($Value);

            $Valueinto=$Value;

            $Odbj_conexion = new odbconexion;

            $conexion=$Odbj_conexion->openconection();

            $consulta="UPDATE usuario_appquadrata SET $Field='$Valueinto' WHERE Id_Usuarior= '$Id_Usuarior'";

            $conexion->query($consulta);

            $rowaffected=$conexion->affected_rows;

            $conexion->close();

            return $rowaffected;                          

        }



}



?>